Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class MemErrPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.MemErrPtg

public class MemErrPtg
extends Ptg

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`MemErrPtg()` Creates new MemErrPtg
`MemErrPtg(byte[] data, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`byte` | `getDefaultOperandClass()`
`int` | `getReserved()`
`int` | `getSize()`
`short` | `getSubexpressionLength()`
`void` | `setReserved(int res)`
`void` | `setSubexpressionLength(short subexlen)`
`java.lang.String` | `toFormulaString(Workbook book)` return a string representation of this token alone
`void` | `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MemErrPtg

    public MemErrPtg()

  Creates new MemErrPtg

### MemErrPtg

    public MemErrPtg(byte[] data,
                     int offset)

Method Detail

### setReserved

    public void setReserved(int res)

### getReserved

    public int getReserved()

### setSubexpressionLength

    public void setSubexpressionLength(short subexlen)

### getSubexpressionLength

    public short getSubexpressionLength()

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.